Page MenuHomePhabricator

Merged tasks are not listed among open tasks in search
Closed, DeclinedPublic

Description

If I search "bug 1" I don't find T625. https://phabricator.wikimedia.org/search/query/f9wgTxJI6Ish/#R
In bugzilla, duplicate bugs are included in default searches for open issues, so that they serve as useful aliases for the "main" report for the issue and further duplicates with the same wording are avoided.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil triaged this task as Lowest priority.Oct 26 2014, 5:24 AM
Qgil added a project: Phabricator (Upstream).

In bugzilla, duplicate bugs are included in default searches for open issues

Well, there is no "default search for open issues" in Bugzilla. :)
If you refer to the values enabled by default on on https://bugzilla.wikimedia.org/query.cgi?format=advanced it's true that the three resolutions {--- (which translates to open), LATER, DUPLICATE} are enabled, but that is not a "search for open issues" but just the default search values currently defined in Bugzilla's $defaultquery parameter.
Same parameter defines that the Product field values {MediaWiki, MediaWiki%20extensions, Wikimedia} are enabled by default on https://bugzilla.wikimedia.org/query.cgi?format=advanced.

Proposing DECLINED here. https://phabricator.wikimedia.org/maniphest/query/advanced/ allows setting statuses explicitly and anybody can save a search URL that s/he prefers to run...

Adjusting the default status search values seems to be very connected to T885.

Well, there is no "default search for open issues" in Bugzilla. :)

I'm not sure what's the expected value of this terminological disquisition. However you may decide to call them, merged tasks are more similar to "open" (formerly "---") tasks, hence they must be shown together with "open" tasks rather than "closed" task.

https://phabricator.wikimedia.org/maniphest/query/advanced/ allows setting statuses explicitly

I don't see such option. And the defaults must make sense.

merged tasks are more similar to "open" (formerly "---") tasks

To me, Merged tasks are very similar to the status that the "original" task has and that original task can be either open or closed.

I don't see such option.

https://phabricator.wikimedia.org/maniphest/query/advanced/ offers six checkboxes for "Status". If you are asking for a specific "Merged" checkbox (which does not exist) I'd like to understand the usecase and which problem you would like to solve.

Qgil added a subscriber: Qgil.Nov 20 2014, 9:35 PM

Here merged tasks are "Closed, Duplicate", therefore it makes sense that they don't appear in searches for open tasks.

If you want to include duplicates in your default query, then you can configure Phabricator to do so.

I think for the general use case it makes sense that they are aligned with closed tasks, not open tasks. Proposing Declined as well.

Qgil closed this task as Declined.Dec 8 2014, 10:46 AM
Qgil claimed this task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM